package cn.iocoder.yudao.module.order.vo.orderLabel;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订单箱号标签 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 订单箱号标签 Response VO")
public class OrderLabelBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("订单id")
    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ExcelProperty("父订单id")
    @ApiModelProperty(value = "父订单id")
    private Long parentOrderId;

    @ExcelProperty("开始")
    @ApiModelProperty(value = "开始")
    private Integer start;

    @ExcelProperty("结束")
    @ApiModelProperty(value = "结束")
    private Integer end;

}
